/*
header file for xvtx
*/

#ifndef _XVTX_H_
#define _XVTX_H_

#include "xvtx_proto.h"

/* size of display and / or memory area for page */
#define PAGE_SPACE	1024
#define PAGLEN		969	/*length of data used from teletext page*/

#define STOREMAX	500/*entries in directory for storing pages and subpages
						in RAM*/

#define CHANNELS	8

#define DISPLAYS	4


/*the following added for programming video via teletext*/
#define TIMERMAX	8
#define PAGE 0
#define SUBPAGE 1

/* for function load_page_from_ramfile */
#define FIRST		1
#define LAST		2
#define THIS		3
#define NEXT		4
#define PREVIOUS	5
#define EQUTABLENGTH 1000/*entries stored in ram (pages)*/

#endif /* _XVTX_H_ */

